Module java.desktop
Package javax.swing.plaf

# Class BorderUIResource.TitledBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.TitledBorder
javax.swing.plaf.BorderUIResource.TitledBorderUIResource

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.TitledBorderUIResource extends TitledBorder implements UIResource
A titled border UI resource.

## Field Summary

### Fields declared in class javax.swing.border.TitledBorder

`ABOVE_BOTTOM, ABOVE_TOP, BELOW_BOTTOM, BELOW_TOP, border, BOTTOM, CENTER, DEFAULT_JUSTIFICATION, DEFAULT_POSITION, EDGE_SPACING, LEADING, LEFT, RIGHT, TEXT_INSET_H, TEXT_SPACING, title, titleColor, titleFont, titleJustification, titlePosition, TOP, TRAILING`

## Constructor Summary

Constructors
Constructor
Description
`TitledBorderUIResource(String title)`
Constructs a `TitledBorderUIResource`.
`TitledBorderUIResource(Border border)`
Constructs a `TitledBorderUIResource`.
`TitledBorderUIResource(Border border, String title)`
Constructs a `TitledBorderUIResource`.
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition)`
Constructs a `TitledBorderUIResource`.
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
Constructs a `TitledBorderUIResource`.
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
Constructs a `TitledBorderUIResource`.

## Method Summary

### Methods declared in class javax.swing.border.TitledBorder

`getBaseline, getBaselineResizeBehavior, getBorder, getBorderInsets, getFont, getMinimumSize, getTitle, getTitleColor, getTitleFont, getTitleJustification, getTitlePosition, isBorderOpaque, paintBorder, setBorder, setTitle, setTitleColor, setTitleFont, setTitleJustification, setTitlePosition`

### Methods declared in class javax.swing.border.AbstractBorder

`getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TitledBorderUIResource

public TitledBorderUIResource(String title)
Constructs a `TitledBorderUIResource`.

Parameters:
  `title` - the title the border should display

### TitledBorderUIResource

public TitledBorderUIResource(Border border)
Constructs a `TitledBorderUIResource`.

Parameters:
  `border` - the border

### TitledBorderUIResource

public TitledBorderUIResource(Border border, String title)
Constructs a `TitledBorderUIResource`.

Parameters:
  `border` - the border
  `title` - the title the border should display

### TitledBorderUIResource

public TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition)
Constructs a `TitledBorderUIResource`.

Parameters:
  `border` - the border
  `title` - the title the border should display
  `titleJustification` - the justification for the title
  `titlePosition` - the position for the title

### TitledBorderUIResource

public TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont)
Constructs a `TitledBorderUIResource`.

Parameters:
  `border` - the border
  `title` - the title the border should display
  `titleJustification` - the justification for the title
  `titlePosition` - the position for the title
  `titleFont` - the font for rendering the title

### TitledBorderUIResource

@ConstructorProperties({"border","title","titleJustification","titlePosition","titleFont","titleColor"}) public TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)
Constructs a `TitledBorderUIResource`.

Parameters:
  `border` - the border
  `title` - the title the border should display
  `titleJustification` - the justification for the title
  `titlePosition` - the position for the title
  `titleFont` - the font for rendering the title
  `titleColor` - the color of the title